/**
 * ==========================================================================
 *                  Binary Semaphore
 * ==========================================================================
 */

public class BinarySemaphore {
   boolean value;

   BinarySemaphore(boolean value){
      this.value = value;
   }

   public synchronized void Wait() {
      while (value == false)
         try {
           wait();
         } catch (InterruptedException e){ }
      value = false;
   }

   public synchronized void Signal(){
     value = true;
     notify();
   }
}