/**
 * ==========================================================================
 *                  Counting Semaphore
 * ==========================================================================
 */

public class CountingSemaphore {
  int value;

  public CountingSemaphore(int value){
     this.value = value;
  }

  public synchronized void Wait() {
     while (value <= 0)
        try { wait();
        }
        catch (InterruptedException e){ };
     value-- ; // System.out.println("After Wait:" + value + ".  ");
  }

  public synchronized void Signal(){
    value++;   // System.out.println("After Signal:" + value);
    notify();
  }
}