/**
 * ===========================================================================
 *             The class CounterUpLocal
 *
 * It is used by CounterThread2.
 * It extends Counter.
 *
 * The method up() of UpCounterLocal modifies the value field of  
 * UpCounterLocal, but getValue() gets the value field of Counter.
 * ===========================================================================
 */
package Counter;

public class UpCounterLocal extends Counter {

   public int value;             // this value field of CounterUpLocal
                                 // is different from 
                                 // the value field of Counter.   

   public UpCounterLocal(int n){ // constructor
          super(n);   
   }

   public void up(){
      value = getValue() + 1; // getValue() reads the value field of Counter.
                              // That number plus 1 is put 
                              // in the value field of UpCounterLocal.
   }
}
// --------------------------------------------------------------------------- 
