/**
 * ==========================================================================
 *                  Class for testing the use of a stack 
 *
 * It uses the class Stack.java in the package parserUtil.
 * ==========================================================================
 */

public class StackTester {
   parserUtil.Stack stack = null;

   public StackTester(parserUtil.Stack stack){
      this.stack = stack;
   }

   public static void main(String[] args) {
      parserUtil.Stack stack = new parserUtil.Stack();

      stack.push(new Integer(3));
      stack.push(new Integer(4));
      
      System.out.print("stack: ");
      while (! stack.isEmpty() )
        { System.out.print( stack.peek() + " " );
          stack.pop();
        };
      System.out.println("nil"); 
   }
}
/** 
 * input:                     output:
 * ---------------------------------------------------------------------------
 * javac StackTester.java
 * java  StackTester
 *                            stack: 3 4 nil
 * ---------------------------------------------------------------------------
 */
