/**
 * ===========================================================================
 * Exception class: an exception is raised if the stack is empty.
 * ===========================================================================
 */
package parserUtil;

public class EmptyStackException extends RuntimeException {
    /**
     * Constructor of the exception with no message.
     */
    public EmptyStackException( ) {
        super( );
    }

    /**
     * Constructor of the exception with the visible message
     * using the method <code>getMessage</code>.
     * @param msg : msg is the error message.
     */
    public EmptyStackException( String msg ) {
        super( msg );
    }
}
