/**  
 * ===========================================================================
 * This class computes the sum of the elements of each row.
 * ===========================================================================
 */
public class RowSumThread extends Thread {

  SumQueue queue;
  int row;
  int [][] matrix;

  public RowSumThread(int [][] matrix, int row, SumQueue queue){
      this.matrix = matrix;
      this.row = row;
      this.queue = queue;
  }

  public void run() {
      System.out.println("RowSumThread "+ Thread.currentThread().getName()+
                         " started ... ");
      int n = matrix[row].length;
      int sum = 0;
      for(int i=0; i<n; i++)
      sum = CommAssOperator.sum(matrix[row][i],sum);
      
      System.out.println("RowSumThread "+ Thread.currentThread().getName()+
                         " ended. Sum of row " + (row+1) + " is: "+sum);
      queue.put(sum);
      return;
  }
}