/**
 * =========================================================================
 *                   Recursion: MULTIPLICATION
 * This class multiplies two non-negative integers according to the 
 * following equations:
 * mult(0,  b) = 0
 * mult(a+1,b) = mult(a,b) + b
 *
 * =========================================================================
 */

public class Mult {

   /** Using the class Mult we can construct an object which has the method
    *  product(int a, int b) for multiplying two int values.
    */

 public Mult() {                       // constructor  
 }                                     // We can delete these two lines.
   /** 
    *  @param a - the int value (>= 0) which is the first  parameter.
    *  @param b - the int value (>= 0) which is the second parameter.
    *  @return the product of a and b
    */

 public int product (int a, int b) {   // the method product(int a, int b)
       if (a==0) {
          return 0;
       }
       else {
          return product(a-1,b) + b;
       }
   }

 public static void main(String[] args) {
    
    int m = Integer.parseInt(args[0]);
    int n = Integer.parseInt(args[1]);

    Mult    op = new Mult();
    int result = op.product(m,n);

    System.out.print("\nThe product of " + m + " and " + n + " is ");
    System.out.println(result + ".\n");
    }
}
/**
 * input:            output:
 * -----------------------------------------------------------------------
 * javac Mult.java
 * java  Mult 12 6 
 *
 *                   The product of 12 and 6 is 72.
 *
 * -----------------------------------------------------------------------
 */
