/**
 * ===========================================================================
 *                        CounterThread1
 *
 * It uses the class Counter.
 * ===========================================================================
 */
import Counter.*;

public class CounterThread1 extends Counter implements Runnable {

   final int N=3;

   public CounterThread1(int n){  // constructor
      super(n);
   }

   public void run(){
      System.out.println(N + " values of the counter:");
      for (int i=0; i<N; i++) {
           System.out.println("  " + (getValue()));
           int v = getValue() + 1; 
           setValue(v);
      }
   }

   public static void main(String [] args){
      CounterThread1 c1 = new CounterThread1(10);
      Thread tc1 = new Thread(c1);
      tc1.start(); 
      int v = c1.getValue();

      CounterThread1 c2 = new CounterThread1(v);
      Thread tc2 = new Thread(c2);
      tc2.start();
   }
}
/** input:                    output:
 * --------------------------------------------------------------------
 *  javac CounterThread1.java
 *  java  CounterThread1
 *                            3 values of the counter:
 *                              10
 *                              11
 *                              12
 *                            3 values of the counter:
 *                              10
 *                              11
 *                              12
 * -------------------------------------------------------------------- 
 */
