/**
 * ===========================================================================
 *                      Package Maximum 
 * with a class Maximum for computing the maximum of a sequence of numbers.
 * 
 * The numbers are supplied one by one.
 * This package is imported by MergeSortThread, QuickSortThread,
 * ConcurMergeSort, and ConcurQuickSort.
 * ===========================================================================
 */
package Maximum;

public class Maximum {
    int max;

    public Maximum() {
        max = 0;
    }

    public synchronized void update(int n) {
        if(n>max)
            max = n;
    }

    public synchronized int get() {
        return(max);
    }
}
