/**
 * ===========================================================================
 *                   Parameter Passing
 *
 * This program shows that arguments in Java are passed "by value".
 * ===========================================================================
 */

public class ParameterPassing {

 public static void square (int m) {
    m = m * m;
    System.out.println("Inside the method square: " + m);
    }

 public static void main(String[] args) {

    int n = Integer.parseInt(args[0]);

    System.out.println("Before invoking the method square: " + n);
    square(n);
    System.out.println("After  invoking the method square: " + n);
   }
}

/**
 * input:                    output:
 * ---------------------------------------------------------------------------
 * javac ParameterPassing.java
 * java  ParameterPassing 7
 *                           Before invoking the method square: 7
 *                           Inside the method square: 49
 *                           After  invoking the method square: 7
 * ---------------------------------------------------------------------------
 */
