/**
 * ===========================================================================
 * This class computes the sum of the sums of all rows.
 * ===========================================================================
 */
public class FinalSum extends Thread {
  
  SumQueue queue;

  FinalSum(SumQueue queue) {
    this.queue = queue;
  }

  public void run() {
      System.out.println("FinalSumThread "+
                         Thread.currentThread().getName()+
                         " started ... ");
      int finalSum = 0;
      boolean flag = true;
      do {
        try {
            int rowSum = queue.get();
            finalSum = CommAssOperator.sum(rowSum,finalSum);
        } catch (Exception e) {
            flag = false;
        }
      } while(flag);
      System.out.println("FinalSumThread "+ Thread.currentThread().getName()+
                         " ended.\nThe computed sum of all the elements of "+
                         "the matrix is: "+finalSum);
   }
}
